Common.DESTTYPE (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.datatransfer.portlets.user.client
Enum Common.DESTTYPE

    java.lang.Object
      java.lang.Enum<Common.DESTTYPE>
          org.gcube.datatransfer.portlets.user.client.Common.DESTTYPE

All Implemented Interfaces:
  Serializable, Comparable<Common.DESTTYPE>

Enclosing class:
  Common

    public static enum Common.DESTTYPE

extends Enum<Common.DESTTYPE>

Enum Constant Summary
`AgentDest`
`DataStorage`
`MongoDBStorage`
`TreeBased`

Method Summary
`static Common.DESTTYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Common.DESTTYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TreeBased

    public static final Common.DESTTYPE TreeBased

### MongoDBStorage

    public static final Common.DESTTYPE MongoDBStorage

### DataStorage

    public static final Common.DESTTYPE DataStorage

### AgentDest

    public static final Common.DESTTYPE AgentDest

Method Detail

### values

    public static Common.DESTTYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Common.DESTTYPE c : Common.DESTTYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Common.DESTTYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.